Subject: Re: [PATCH 1/6] powerpc: Move #ifdef'ed body of do_IRQ() into a separate function

From: Christoph Hellwig <[email-masked]>
Date: Wed, 29 Apr 2009 13:44:49 +0200

On Tue, Apr 28, 2009 at 10:49:07AM +1000, Michael Ellerman wrote:
> On Sat, 2009-04-25 at 20:18 +0200, Christoph Hellwig wrote:
> > On Thu, Apr 23, 2009 at 11:31:37AM +1000, Michael Ellerman wrote:
> > > +#ifdef CONFIG_IRQSTACKS
> > 
> > Wasn't there a plan to make CONFIG_IRQSTACKS the unconditional default?
> 
> Not sure. Looks like the 64-bit configs all turn it on, and all but one
> or two of the 32-bit configs don't.

Yeah, but do they have a reason not to turn it on?  Having irqstacks
is a lot safer than no having it because the stack useage is a lot more
predictable.  And not having to maintain two codepathes is also a
benefit all by itself.